---
global:
  sendAnonymousUsage: false

log:
  level: {{ traefik_log_level | default('ERROR') }}  # Logging level (DEBUG, INFO, WARN, ERROR, FATAL, PANIC)

api:
  dashboard: {{ traefik_enable_dashboard | default('false') }}
  insecure: true  # Insecure API (for local development)

tls:
  options:
    default:
      minVersion: VersionTLS13

providers:
  docker:
    exposedByDefault: false
    endpoint: tcp://docker-socket-proxy:2375
    network: docker-socket-proxy

entryPoints:
  web:
    address: ":80"
    http:
      redirections:
        entryPoint:
          to: "websecure"
          scheme: "https"
          permanent: true
  websecure:
    address: ":443"

certificatesResolvers:
  route53:
    acme:
      storage: /letsencrypt/route53.json
      dnsChallenge:
        provider: route53
      tlschallenge: {}
...
